Bug 79294 - Xlib-based build broken on non x86/x86-64 architectures
Summary: Xlib-based build broken on non x86/x86-64 architectures
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Ian Romanick
QA Contact:
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks: 79039
  Show dependency treegraph
 
Reported: 2014-05-27 08:06 UTC by Andreas Boll
Modified: 2014-05-31 18:19 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Full build log of mesa-10.2.0rc4-powerpc (215.18 KB, text/plain)
2014-05-27 08:06 UTC, Andreas Boll
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Boll 2014-05-27 08:06:45 UTC
Created attachment 99928 [details]
Full build log of mesa-10.2.0rc4-powerpc

All non x86/x86-64 architectures are affected by the same issue.
e.g armel, armhf, mips, mipsel, powerpc, s390x

For more information see https://buildd.debian.org/status/package.php?p=mesa&suite=experimental

libtool: compile:  gcc -DPACKAGE_NAME=\"Mesa\" -DPACKAGE_TARNAME=\"mesa\" -DPACKAGE_VERSION=\"10.2.0-rc4\" "-DPACKAGE_STRING=\"Mesa 10.2.0-rc4\"" "-DPACKAGE_BUGREPORT=\"https://bugs.freedesktop.org/enter_bug.cgi?product=Mesa\"" -DPACKAGE_URL=\"\" -DPACKAGE=\"mesa\" -DVERSION=\"10.2.0-rc4\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DYYTEXT_POINTER=1 -DHAVE___BUILTIN_BSWAP32=1 -DHAVE___BUILTIN_BSWAP64=1 -DHAVE_DLADDR=1 -DHAVE_CLOCK_GETTIME=1 -DHAVE_PTHREAD=1 -I. -I../../../../../src/mapi/glapi -D_GNU_SOURCE -DHAVE_PTHREAD -DHAVE_DLOPEN -DHAVE_POSIX_MEMALIGN -DHAVE_LIBDRM -DHAVE_LIBUDEV -DUSE_XSHM -DMESA_EGL_NO_X11_HEADERS -I../../../../../include -I../../../../../src/mapi -I../../../src/mapi -I../../../../../src/mesa -DMAPI_MODE_UTIL -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -Wall -std=c99 -Werror=implicit-function-declaration -Werror=missing-prototypes -fno-strict-aliasing -fno-builtin-memcmp -MT glapi_dispatch.lo -MD -MP -MF .deps/glapi_dispatch.Tpo -c ../../../../../src/mapi/glapi/glapi_dispatch.c  -fPIC -DPIC -o .libs/glapi_dispatch.o
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glPointSizePointerOES' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:7689:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(PointSizePointerOES)(GLenum type, GLsizei stride, const GLvoid * pointer)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glAlphaFuncx' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9359:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(AlphaFuncx)(GLenum func, GLclampx ref)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glClearColorx' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9373:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(ClearColorx)(GLclampx red, GLclampx green, GLclampx blue, GLclampx alpha)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glClearDepthx' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9387:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(ClearDepthx)(GLclampx depth)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glColor4x' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9401:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(Color4x)(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glDepthRangex' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9415:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(DepthRangex)(GLclampx zNear, GLclampx zFar)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glFogx' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9429:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(Fogx)(GLenum pname, GLfixed param)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glFogxv' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9443:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(Fogxv)(GLenum pname, const GLfixed * params)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glFrustumf' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9457:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(Frustumf)(GLfloat left, GLfloat right, GLfloat bottom, GLfloat top, GLfloat zNear, GLfloat zFar)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glFrustumx' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9471:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(Frustumx)(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glLightModelx' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9485:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(LightModelx)(GLenum pname, GLfixed param)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glLightModelxv' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9499:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(LightModelxv)(GLenum pname, const GLfixed * params)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glLightx' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9513:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(Lightx)(GLenum light, GLenum pname, GLfixed param)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glLightxv' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9527:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(Lightxv)(GLenum light, GLenum pname, const GLfixed * params)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glLineWidthx' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9541:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(LineWidthx)(GLfixed width)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glLoadMatrixx' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9555:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(LoadMatrixx)(const GLfixed * m)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glMaterialx' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9569:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(Materialx)(GLenum face, GLenum pname, GLfixed param)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glMaterialxv' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9583:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(Materialxv)(GLenum face, GLenum pname, const GLfixed * params)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glMultMatrixx' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9597:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(MultMatrixx)(const GLfixed * m)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glMultiTexCoord4x' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9611:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(MultiTexCoord4x)(GLenum target, GLfixed s, GLfixed t, GLfixed r, GLfixed q)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glNormal3x' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9625:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(Normal3x)(GLfixed nx, GLfixed ny, GLfixed nz)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glOrthof' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9639:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(Orthof)(GLfloat left, GLfloat right, GLfloat bottom, GLfloat top, GLfloat zNear, GLfloat zFar)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glOrthox' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9653:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(Orthox)(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glPointSizex' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9667:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(PointSizex)(GLfixed size)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glPolygonOffsetx' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9681:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(PolygonOffsetx)(GLfixed factor, GLfixed units)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glRotatex' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9695:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(Rotatex)(GLfixed angle, GLfixed x, GLfixed y, GLfixed z)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glSampleCoveragex' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9709:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(SampleCoveragex)(GLclampx value, GLboolean invert)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glScalex' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9723:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(Scalex)(GLfixed x, GLfixed y, GLfixed z)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glTexEnvx' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9737:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(TexEnvx)(GLenum target, GLenum pname, GLfixed param)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glTexEnvxv' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9751:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(TexEnvxv)(GLenum target, GLenum pname, const GLfixed * params)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glTexParameterx' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9765:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(TexParameterx)(GLenum target, GLenum pname, GLfixed param)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glTranslatex' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9779:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(Translatex)(GLfixed x, GLfixed y, GLfixed z)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glClipPlanef' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9793:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(ClipPlanef)(GLenum plane, const GLfloat * equation)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glClipPlanex' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9807:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(ClipPlanex)(GLenum plane, const GLfixed * equation)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glGetClipPlanef' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9821:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(GetClipPlanef)(GLenum plane, GLfloat * equation)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glGetClipPlanex' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9835:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(GetClipPlanex)(GLenum plane, GLfixed * equation)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glGetFixedv' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9849:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(GetFixedv)(GLenum pname, GLfixed * params)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glGetLightxv' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9863:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(GetLightxv)(GLenum light, GLenum pname, GLfixed * params)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glGetMaterialxv' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9877:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(GetMaterialxv)(GLenum face, GLenum pname, GLfixed * params)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glGetTexEnvxv' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9891:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(GetTexEnvxv)(GLenum target, GLenum pname, GLfixed * params)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glGetTexParameterxv' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9905:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(GetTexParameterxv)(GLenum target, GLenum pname, GLfixed * params)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glPointParameterx' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9919:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(PointParameterx)(GLenum pname, GLfixed param)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glPointParameterxv' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9933:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(PointParameterxv)(GLenum pname, const GLfixed * params)
                        ^
../../../../../src/mapi/glapi/glapi_dispatch.c:57:21: error: no previous prototype for 'glTexParameterxv' [-Werror=missing-prototypes]
 #define NAME(func)  gl##func
                     ^
../../../src/mapi/glapi/glapitemp.h:9947:24: note: in expansion of macro 'NAME'
 KEYWORD1 void KEYWORD2 NAME(TexParameterxv)(GLenum target, GLenum pname, const GLfixed * params)
                        ^
Comment 1 Andreas Boll 2014-05-27 08:10:01 UTC
This issue seems to be related with Bug 79230
Feel free to close this as duplicate.
Comment 2 Andreas Boll 2014-05-30 15:27:16 UTC
This build issue is reproducible on x86/x86-64 architectures if --disable-asm is additionally added to ./configure


There are 4 commits involved in this issue:

f6e290f80cc6728647e9cee35546190f081197e2 is the first bad commit
commit f6e290f80cc6728647e9cee35546190f081197e2
Author: Ian Romanick <ian.d.romanick@intel.com>
Date:   Wed Mar 26 15:25:08 2014 -0700

    glapi/es1: Don't mark core functions as static_dispatch=false
    
    Functions that are part of OpenGL ES 1.0 or 1.1 should have static
    dispatch functions in libGLESv1_CM.  This doesn't affect any change yet,
    but it will prevent later regressions.
    
    Signed-off-by: Ian Romanick <ian.d.romanick@intel.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Acked-by: Chad Versace <chad.versace@linux.intel.com>


This commit got reverted in:

commit 526e49290cd2d83fb931708a786c27647972a00c
Author: Brian Paul <brianp@vmware.com>
Date:   Tue Apr 1 07:39:36 2014 -0600

    Revert "glapi/es1: Don't mark core functions as static_dispatch=false"
    
    This reverts commit f6e290f80cc6728647e9cee35546190f081197e2.
    
    To fix the broken build.  The DRI-enabled build seems OK after reverting.
    Th non-DRI/gallium build is still suffering from an unrelated issue in
    the pipe-loader code.

which fixed this build issue.

Later this revert-commit got reverted, which introduced the build issue again:

65ca63043723d7dd23c204bd2cee4f6a2378ad8 is the first bad commit
commit 065ca63043723d7dd23c204bd2cee4f6a2378ad8
Author: Ian Romanick <ian.d.romanick@intel.com>
Date:   Tue Apr 1 13:11:46 2014 -0700

    Revert "Revert "glapi/es1: Don't mark core functions as static_dispatch=false""
    
    This reverts commit 526e49290cd2d83fb931708a786c27647972a00c.
    
    The original build problem should be fixed by the previous commit.
    
    Signed-off-by: Ian Romanick <ian.d.romanick@intel.com>
    Tested-by: Brian Paul <brianp@vmware.com>
    Tested-by: Lu Hua <huax.lu@intel.com>


And finally this commit introduced one more missing prototype:

commit 5a68f731029258ddede4bd5d578cee203f4a80b3
Author: Ian Romanick <ian.d.romanick@intel.com>
Date:   Tue Apr 1 21:32:11 2014 -0700

    glapi: Add static dispatch for glPointSizePointerOES
    
    The OpenGL ES 1.1 conformance tests expect this function to be
    statically available form libGLESv1_CM.so.  The comment "required for
    es1.1" in the XML file should have been a clue.
    
    Signed-off-by: Ian Romanick <ian.d.romanick@intel.com>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=76926
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Tested-by: Lu Hua <huax.lu@intel.com>
Comment 3 Ian Romanick 2014-05-30 19:08:42 UTC
I'll work on this today.  Please, no more reverts.  We know that will break es1.
Comment 4 Ian Romanick 2014-05-30 20:29:39 UTC
So... nobody else has encountered this before because they aren't building with -Werror=missing-prototypes.  Why are you doing that?  We should definitely fix this, but it's also not a blocker.
Comment 5 Ian Romanick 2014-05-30 20:58:25 UTC
Does this fix the various build problems?

http://lists.freedesktop.org/archives/mesa-dev/2014-May/060454.html
Comment 6 Andreas Boll 2014-05-30 21:22:03 UTC
(In reply to comment #4)
> So... nobody else has encountered this before because they aren't building
> with -Werror=missing-prototypes.  Why are you doing that?  We should
> definitely fix this, but it's also not a blocker.

mesa upstream adds -Werror=missing-prototypes to CFLAGS [1]

[1] http://cgit.freedesktop.org/mesa/mesa/tree/configure.ac#n183
Comment 7 Andreas Boll 2014-05-30 21:27:13 UTC
(In reply to comment #5)
> Does this fix the various build problems?
> 
> http://lists.freedesktop.org/archives/mesa-dev/2014-May/060454.html

Yes it does.

Tested-by: Andreas Boll <andreas.boll.dev@gmail.com>
(I've tested it on amd64 so far.)

Thanks!
Comment 8 Andreas Boll 2014-05-31 18:19:11 UTC
Fixed with 

commit 7b1aeec9cd8c9b790d452eaf769ccbce51627908
Author: Ian Romanick <ian.d.romanick@intel.com>
Date:   Fri May 30 13:55:28 2014 -0700

    glapi: Duplicate GLES1 prototypes in glapi_dispatch.c
    
    These prototypes are necessary because GLES1 library builds will create
    dispatch functions for them.  We can't directly include GLES/gl.h
    because it would conflict the previously-included GL/gl.h.  Since GLES1
    ABI is not expected to every add more functions, the path of least
    resistance is to just duplicate the prototypes for the functions that
    aren't already in desktop OpenGL.
    
    Signed-off-by: Ian Romanick <ian.d.romanick@intel.com>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=79294
    Acked-by: Matt Turner <mattst88@gmail.com>
    Tested-by: Andreas Boll <andreas.boll.dev@gmail.com>
    Cc: "10.2" <mesa-stable@lists.freedesktop.org>


bug/show.html.tmpl processed on Feb 24, 2017 at 01:43:03.
(provided by the Example extension).